## dolphin-plugins 18.04.3

=== debian/changelog ===
dolphin-plugins (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:13:46 +0100

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libdolphinvcs-dev (>= 4:18.04.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: dolphin VCS plugins
 This package contains plugins that offer integration in Dolphin with the
 following version control systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-dolphin-plugins
Architecture: all
Section: oldlibs
Priority: optional
Depends: dolphin-plugins
Description: transitional dummy package for dolphin-plugins
 Transitional package for rename to dolphin-plugins.

## dolphin-plugins 18.08.0

=== debian/changelog ===
dolphin-plugins (4:18.08.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release.
  * Improve the description, so non VCS plugins (like Dropbox, the only one)
    are mentioned too. (Closes: #897385)
  * Bump the libdolphinvcs-dev build dependency to >= 4:18.08.0~, to be sure
    to use the latest dolphin.
  * Remove empty line at the end of changelog.
  * Bump Standards-Version to 4.2.1, no changes required.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).

 -- Pino Toscano <pino@debian.org>  Thu, 06 Sep 2018 07:59:30 +0200

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 0.0.11~),
               libdolphinvcs-dev (>= 4:18.08.0~),
               libkf5i18n-dev (>= 5.0.0~),
               libkf5kdelibs4support-dev (>= 5.0.0~),
               libkf5kio-dev (>= 5.0.0~),
               libkf5texteditor-dev,
               libkf5xmlgui-dev (>= 5.0.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.0.0~),
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: plugins for Dolphin
 This package contains plugins for Dolphin that enhance its functionalities.
 .
 There are plugins that offer integration with the following version control
 systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 Also, there are plugins to offer integration with the following services:
 .
  * Dropbox
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-dolphin-plugins
Architecture: all
Section: oldlibs
Depends: dolphin-plugins
Description: transitional dummy package for dolphin-plugins
 Transitional package for rename to dolphin-plugins.

## dolphin-plugins 18.12.3

=== debian/changelog ===
dolphin-plugins (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:24:46 +0000

dolphin-plugins (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:12:12 +0000

dolphin-plugins (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:47 +0000

dolphin-plugins (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:46:29 +0000

dolphin-plugins (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 14:00:49 +0000

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,19 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 0.0.11~),
-               libdolphinvcs-dev (>= 4:18.08.0~),
-               libkf5i18n-dev (>= 5.0.0~),
-               libkf5kdelibs4support-dev (>= 5.0.0~),
-               libkf5kio-dev (>= 5.0.0~),
-               libkf5texteditor-dev,
-               libkf5xmlgui-dev (>= 5.0.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libdolphinvcs-dev (>= 4:18.12.3~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5texteditor-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.0.0~),
 Standards-Version: 4.2.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
 
 Package: dolphin-plugins
 Architecture: any
@@ -49,6 +49,6 @@
 Package: kdesdk-dolphin-plugins
 Architecture: all
 Section: oldlibs
-Depends: dolphin-plugins
+Depends: dolphin-plugins, ${misc:Depends}
 Description: transitional dummy package for dolphin-plugins
  Transitional package for rename to dolphin-plugins.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/dolphin-plugins

## dolphin-plugins 19.04.3

=== debian/changelog ===
dolphin-plugins (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:10:27 +0100

dolphin-plugins (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:59:16 +0100

dolphin-plugins (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:54:30 +0100

dolphin-plugins (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:39:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.31.0~),
-               libdolphinvcs-dev (>= 4:18.12.3~),
+               libdolphinvcs-dev (>= 4:19.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),

## dolphin-plugins 19.08.1

=== debian/changelog ===
dolphin-plugins (4:19.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Drop the transitional package kdesdk-dolphin-plugins (Closes: 939203)

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.0.0
    - bump qtbase5-dev to 5.8.0
    - explicitly add gettext
    - replace libkf5kdelibs4support-dev with libkf5textwidgets-dev
    - bump libdolphinvcs-dev to 19.08.0
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 27 Sep 2019 08:07:19 +0200

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.0.0~),
               libdolphinvcs-dev (>= 4:19.08.0~),
               libkf5i18n-dev (>= 5.0.0~),
               libkf5kio-dev (>= 5.0.0~),
               libkf5texteditor-dev,
               libkf5textwidgets-dev (>= 5.0.0~),
               libkf5xmlgui-dev (>= 5.0.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.4.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: plugins for Dolphin
 This package contains plugins for Dolphin that enhance its functionalities.
 .
 There are plugins that offer integration with the following version control
 systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 Also, there are plugins to offer integration with the following services:
 .
  * Dropbox
 .
 This package is part of the KDE Software Development Kit module.

## dolphin-plugins 19.12.3

=== CMakeLists.txt ===
project(dolphin-plugins)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

include(FeatureSummary)

set(QT_MIN_VERSION "5.8.0")
set(KF5_MIN_VERSION "5.0.0")

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
    Network
)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    XmlGui
    I18n
    KIO
    TextWidgets
)

find_package(DolphinVcs)
set_package_properties(DolphinVcs PROPERTIES
    DESCRIPTION "the Dolphin version control plugin library"
    URL "http://dolphin.kde.org/"
    TYPE REQUIRED
    PURPOSE "Provides the version control plugin interface."
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

ecm_optional_add_subdirectory(svn)
ecm_optional_add_subdirectory(git)
ecm_optional_add_subdirectory(bazaar)
ecm_optional_add_subdirectory(dropbox)
ecm_optional_add_subdirectory(hg)

install(FILES org.kde.dolphin-plugins.metainfo.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
dolphin-plugins (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:04:36 +0000

dolphin-plugins (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:16:18 +0000

dolphin-plugins (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:50:11 +0000

dolphin-plugins (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:43:41 +0000

dolphin-plugins (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:28:33 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.0.0~),
-               libdolphinvcs-dev (>= 4:19.08.0~),
+               libdolphinvcs-dev (>= 4:19.12.3~),
                libkf5i18n-dev (>= 5.0.0~),
                libkf5kio-dev (>= 5.0.0~),
                libkf5texteditor-dev,

## dolphin-plugins 20.08.1

=== debian/changelog ===
dolphin-plugins (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:48:40 +0100

dolphin-plugins (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:42:51 +0100

dolphin-plugins (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:33:36 +0100

dolphin-plugins (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update the build dependencies according to the upstream build system:
    - explicitly add gettext, for real now...
    - bump libdolphinvcs-dev to 20.04.0

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 16:15:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.0.0~),
-               libdolphinvcs-dev (>= 4:19.12.3~),
+               gettext,
+               libdolphinvcs-dev (>= 4:20.08.1~),
                libkf5i18n-dev (>= 5.0.0~),
                libkf5kio-dev (>= 5.0.0~),
                libkf5texteditor-dev,
@@ -17,7 +18,8 @@
                libkf5xmlgui-dev (>= 5.0.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.8.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-5~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## dolphin-plugins 20.08.2

=== debian/changelog ===
dolphin-plugins (4:20.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (20.08.2).
  * Update the build dependencies according to the upstream build system:
    - add libkf5coreaddons-dev and libkf5solid-dev
    - bump libdolphinvcs-dev to 20.08.2
  * Drop l10n migration rules, not required anymore after 2 stable releases.
  * Refresh copyright information: project metadata is CC0.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.
  * Bump the debhelper compatibility to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Oct 2020 23:25:10 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,14 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.0.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:20.08.1~),
+               libdolphinvcs-dev (>= 4:20.08.2~),
+               libkf5coreaddons-dev (>= 5.0.0~),
                libkf5i18n-dev (>= 5.0.0~),
                libkf5kio-dev (>= 5.0.0~),
+               libkf5solid-dev (>= 5.0.0~),
                libkf5texteditor-dev,
                libkf5textwidgets-dev (>= 5.0.0~),
                libkf5xmlgui-dev (>= 5.0.0~),
@@ -29,8 +31,6 @@
 Section: devel
 Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
 Enhances: dolphin
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: plugins for Dolphin
  This package contains plugins for Dolphin that enhance its functionalities.
  .

## dolphin-plugins 20.12.0

=== debian/changelog ===
dolphin-plugins (4:20.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * New upstream release (20.12.0).
  * Bump Standards-Version to 4.5.1 (no change required).
  * Bump libdolphinvcs-dev to 20.12.0.

  [ Aurélien COUDERC ]
  * Refresh copyright information.
  * Update project homepage.
  * Refresh upstream metadata: drop Contact an Name fiels already present in
    machine readable copyright.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Dec 2020 18:00:32 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.0.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:20.08.2~),
+               libdolphinvcs-dev (>= 4:20.12.0~),
                libkf5coreaddons-dev (>= 5.0.0~),
                libkf5i18n-dev (>= 5.0.0~),
                libkf5kio-dev (>= 5.0.0~),
@@ -20,9 +20,9 @@
                libkf5xmlgui-dev (>= 5.0.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.8.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://apps.kde.org/en/dolphin_plugins
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git
 
@@ -46,4 +46,8 @@
  .
   * Dropbox
  .
+ Miscellaneous plugins:
+ .
+  * Mount ISO
+ .
  This package is part of the KDE Software Development Kit module.

## dolphin-plugins 20.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
     Core
     Widgets
     Network
+    DBus
 )
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -21,12 +22,14 @@
     I18n
     KIO
     TextWidgets
+    CoreAddons
+    Solid
 )
 
 find_package(DolphinVcs)
 set_package_properties(DolphinVcs PROPERTIES
     DESCRIPTION "the Dolphin version control plugin library"
-    URL "http://dolphin.kde.org/"
+    URL "https://kde.org/applications/system/org.kde.dolphin"
     TYPE REQUIRED
     PURPOSE "Provides the version control plugin interface."
 )
@@ -39,13 +42,16 @@
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_FOREACH -DQT_NO_KEYWORDS)
 
 ecm_optional_add_subdirectory(svn)
 ecm_optional_add_subdirectory(git)
 ecm_optional_add_subdirectory(bazaar)
 ecm_optional_add_subdirectory(dropbox)
 ecm_optional_add_subdirectory(hg)
+if(UNIX AND NOT APPLE)
+    ecm_optional_add_subdirectory(mountiso)
+endif()
 
 install(FILES org.kde.dolphin-plugins.metainfo.xml
         DESTINATION ${KDE_INSTALL_METAINFODIR})

=== dropbox/CMakeLists.txt ===
project(fileviewdropboxplugin)

add_definitions(-DTRANSLATION_DOMAIN=\"fileviewdropboxplugin\")

set(fileviewdropboxplugin_SRCS
    fileviewdropboxplugin.cpp
)

add_library(fileviewdropboxplugin MODULE ${fileviewdropboxplugin_SRCS})
target_link_libraries(fileviewdropboxplugin
    Qt5::Core
    Qt5::Widgets
    Qt5::Network
    KF5::I18n
    KF5::XmlGui
    KF5::KIOCore
    DolphinVcs
)

install(FILES fileviewdropboxplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(TARGETS fileviewdropboxplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== svn/CMakeLists.txt ===
project(fileviewsvnplugin)

add_definitions(-DTRANSLATION_DOMAIN=\"fileviewsvnplugin\")

set(fileviewsvnplugin_SRCS
    fileviewsvnplugin.cpp
    svncommands.cpp
    svncommitdialog.cpp
    svnlogdialog.cpp
    svncheckoutdialog.cpp
    svnprogressdialog.cpp
    svncleanupdialog.cpp
)

ki18n_wrap_ui(fileviewsvnplugin_SRCS svnlogdialog.ui svncheckoutdialog.ui svnprogressdialog.ui svncleanupdialog.ui)

kconfig_add_kcfg_files(fileviewsvnplugin_SRCS
    fileviewsvnpluginsettings.kcfgc
)

add_library(fileviewsvnplugin MODULE ${fileviewsvnplugin_SRCS})
target_link_libraries(fileviewsvnplugin
    Qt5::Core
    Qt5::Widgets
    KF5::I18n
    KF5::XmlGui
    KF5::KIOCore
    KF5::KIOWidgets
    DolphinVcs
)

install(FILES fileviewsvnplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES fileviewsvnpluginsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(TARGETS fileviewsvnplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== debian/changelog ===
dolphin-plugins (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * Add the configuration for the CI on salsa.
  * Bump the libdolphinvcs-dev build dependency to 20.12.2 to be sure to build
    with the latest dolphin.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 12:31:32 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.0.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:20.12.0~),
+               libdolphinvcs-dev (>= 4:20.12.2~),
                libkf5coreaddons-dev (>= 5.0.0~),
                libkf5i18n-dev (>= 5.0.0~),
                libkf5kio-dev (>= 5.0.0~),

## dolphin-plugins 20.12.3

=== debian/changelog ===
dolphin-plugins (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:15:05 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.0.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:20.12.2~),
+               libdolphinvcs-dev (>= 4:20.12.3~),
                libkf5coreaddons-dev (>= 5.0.0~),
                libkf5i18n-dev (>= 5.0.0~),
                libkf5kio-dev (>= 5.0.0~),

## dolphin-plugins 21.08.0

=== debian/changelog ===
dolphin-plugins (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Drop Kubuntu from maintainer name.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:44:03 +0900

dolphin-plugins (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Modestas, George, and Max from uploaders, thanks for your work!
  * Add myself to uploaders.
  * Update frameworks dependency to 5.68.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 09:24:14 +0900

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               libdolphinvcs-dev (>= 4:21.04.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5kio-dev (>= 5.83.0~),
               libkf5solid-dev (>= 5.83.0~),
               libkf5texteditor-dev,
               libkf5textwidgets-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/dolphin_plugins
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: plugins for Dolphin
 This package contains plugins for Dolphin that enhance its functionalities.
 .
 There are plugins that offer integration with the following version control
 systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 Also, there are plugins to offer integration with the following services:
 .
  * Dropbox
 .
 Miscellaneous plugins:
 .
  * Mount ISO
 .
 This package is part of the KDE Software Development Kit module.

## dolphin-plugins 21.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,26 @@
-project(dolphin-plugins)
+cmake_minimum_required(VERSION 3.16)
 
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+# Release service version, managed by release script
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+
+project(dolphin-plugins VERSION ${RELEASE_SERVICE_VERSION})
+
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.83.0")
+
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+
+include(ECMOptionalAddSubdirectory)
 include(FeatureSummary)
-
-set(QT_MIN_VERSION "5.8.0")
-set(KF5_MIN_VERSION "5.0.0")
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
@@ -13,9 +28,6 @@
     Network
     DBus
 )
-
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     XmlGui
@@ -34,14 +46,6 @@
     PURPOSE "Provides the version control plugin interface."
 )
 
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDECompilerSettings)
-include(ECMMarkNonGuiExecutable)
-include(ECMOptionalAddSubdirectory)
-
-include_directories(${CMAKE_CURRENT_BINARY_DIR})
-
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_FOREACH -DQT_NO_KEYWORDS)
 
 ecm_optional_add_subdirectory(svn)

=== debian/changelog ===
dolphin-plugins (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:29:44 +0100

dolphin-plugins (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:57:45 +0100

dolphin-plugins (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:50:09 +0100

dolphin-plugins (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:30:21 +0100

dolphin-plugins (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:38:33 +0100

dolphin-plugins (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:34:45 +0100

dolphin-plugins (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:01:44 +0100

dolphin-plugins (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:29:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: dolphin-plugins
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.16~),
+           Modestas Vainius <modax@debian.org>,
+           George Kiagiadakis <kiagiadakis.george@gmail.com>,
+           Maximiliano Curia <maxy@debian.org>,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.83.0~),
+               extra-cmake-modules (>= 5.0.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:21.04.0~),
-               libkf5coreaddons-dev (>= 5.83.0~),
-               libkf5i18n-dev (>= 5.83.0~),
-               libkf5kio-dev (>= 5.83.0~),
-               libkf5solid-dev (>= 5.83.0~),
+               libdolphinvcs-dev (>= 4:21.08.1~),
+               libkf5coreaddons-dev (>= 5.0.0~),
+               libkf5i18n-dev (>= 5.0.0~),
+               libkf5kio-dev (>= 5.0.0~),
+               libkf5solid-dev (>= 5.0.0~),
                libkf5texteditor-dev,
-               libkf5textwidgets-dev (>= 5.83.0~),
-               libkf5xmlgui-dev (>= 5.83.0~),
+               libkf5textwidgets-dev (>= 5.0.0~),
+               libkf5xmlgui-dev (>= 5.0.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.8.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin_plugins

## dolphin-plugins 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release service version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== bazaar/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"fileviewbazaarplugin\")

kcoreaddons_add_plugin(fileviewbazaarplugin SOURCES fileviewbazaarplugin.cpp INSTALL_NAMESPACE "dolphin/vcs")

target_link_libraries(fileviewbazaarplugin
    KF5::KIOCore
    KF5::I18n
    KF5::CoreAddons
    DolphinVcs
)

=== hg/CMakeLists.txt ===
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    TextEditor
    WidgetsAddons
)

add_definitions(-DTRANSLATION_DOMAIN=\"fileviewhgplugin\")

kcoreaddons_add_plugin(fileviewhgplugin INSTALL_NAMESPACE "dolphin/vcs")

target_sources(fileviewhgplugin PRIVATE
    fileviewhgplugin.cpp
    renamedialog.cpp
    commitdialog.cpp
    hgwrapper.cpp
    statuslist.cpp
    branchdialog.cpp
    tagdialog.cpp
    updatedialog.cpp
    clonedialog.cpp
    createdialog.cpp
    syncdialogbase.cpp
    mergedialog.cpp
    pushdialog.cpp
    pulldialog.cpp
    hgconfig.cpp
    configdialog.cpp
    commititemdelegate.cpp
    commitinfowidget.cpp
    pathselector.cpp
    bundledialog.cpp
    exportdialog.cpp
    importdialog.cpp
    servedialog.cpp
    servewrapper.cpp
    backoutdialog.cpp
    dialogbase.cpp
    config-widgets/generalconfig.cpp
    config-widgets/pathconfig.cpp
    config-widgets/ignorewidget.cpp
    config-widgets/pluginsettings.cpp
)


kconfig_add_kcfg_files(fileviewhgplugin
    fileviewhgpluginsettings.kcfgc
)

target_link_libraries(fileviewhgplugin
    Qt5::Core
    Qt5::Widgets
    KF5::KIOCore
    KF5::I18n
    KF5::CoreAddons
    KF5::WidgetsAddons
    KF5::TextEditor
    DolphinVcs
)

install(FILES fileviewhgpluginsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== mountiso/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"mountisoaction\")

kcoreaddons_add_plugin(
    mountisoaction
    SOURCES mountisoaction.cpp
    INSTALL_NAMESPACE "kf5/kfileitemaction")

target_link_libraries(mountisoaction
    Qt5::DBus
    KF5::I18n
    KF5::KIOWidgets
    KF5::Solid)

=== svn/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"fileviewsvnplugin\")

kcoreaddons_add_plugin(fileviewsvnplugin INSTALL_NAMESPACE "dolphin/vcs")

target_sources(fileviewsvnplugin PRIVATE
    fileviewsvnplugin.cpp
    svncommands.cpp
    svncommitdialog.cpp
    svnlogdialog.cpp
    svncheckoutdialog.cpp
    svnprogressdialog.cpp
    svncleanupdialog.cpp
)

ki18n_wrap_ui(fileviewsvnplugin
    svnlogdialog.ui
    svncheckoutdialog.ui
    svnprogressdialog.ui
    svncleanupdialog.ui
)

kconfig_add_kcfg_files(fileviewsvnplugin
    fileviewsvnpluginsettings.kcfgc
)

target_link_libraries(fileviewsvnplugin
    Qt5::Core
    Qt5::Widgets
    KF5::I18n
    KF5::XmlGui
    KF5::KIOCore
    KF5::KIOWidgets
    DolphinVcs
)

install(FILES fileviewsvnpluginsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== debian/changelog ===
dolphin-plugins (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:06:02 +0000

dolphin-plugins (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:12:31 +0000

dolphin-plugins (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:20:25 +0000

dolphin-plugins (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:17:12 +0000

dolphin-plugins (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:01:40 +0000

dolphin-plugins (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:12:47 +0000

dolphin-plugins (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:22:29 +0000

dolphin-plugins (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:36:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dolphin-plugins
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
@@ -10,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.0.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:21.08.1~),
+               libdolphinvcs-dev (>= 4:21.12.3~),
                libkf5coreaddons-dev (>= 5.0.0~),
                libkf5i18n-dev (>= 5.0.0~),
                libkf5kio-dev (>= 5.0.0~),
@@ -23,8 +24,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin_plugins
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
 
 Package: dolphin-plugins
 Architecture: any

## dolphin-plugins 22.08.1

=== debian/changelog ===
dolphin-plugins (4:22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Oct 2022 14:57:15 +0200

dolphin-plugins (4:22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 May 2022 23:52:21 +0200

dolphin-plugins (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 07 Mar 2022 07:40:35 +0100

dolphin-plugins (4:21.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 14:41:34 +0100

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libdolphinvcs-dev (>= 4:21.04.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5solid-dev (>= 5.90.0~),
               libkf5texteditor-dev,
               libkf5textwidgets-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/dolphin_plugins
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: plugins for Dolphin
 This package contains plugins for Dolphin that enhance its functionalities.
 .
 There are plugins that offer integration with the following version control
 systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 Also, there are plugins to offer integration with the following services:
 .
  * Dropbox
 .
 Miscellaneous plugins:
 .
  * Mount ISO
 .
 This package is part of the KDE Software Development Kit module.

## dolphin-plugins 22.12.0

=== debian/changelog ===
dolphin-plugins (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Small copyright fix.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:14:50 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5textwidgets-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin_plugins

## dolphin-plugins 22.12.1

=== debian/changelog ===
dolphin-plugins (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:07:29 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin_plugins
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins

## dolphin-plugins 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Release service version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 
@@ -9,8 +9,9 @@
 
 project(dolphin-plugins VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.83.0")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.90.0")
+set(KDE_COMPILERSETTINGS_LEVEL "5.84")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
@@ -22,7 +23,10 @@
 include(ECMOptionalAddSubdirectory)
 include(FeatureSummary)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055a00)
+
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
     Widgets
     Network
@@ -60,5 +64,6 @@
 install(FILES org.kde.dolphin-plugins.metainfo.xml
         DESTINATION ${KDE_INSTALL_METAINFODIR})
 
+ki18n_install(po)
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)

=== git/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"fileviewgitplugin\")

kcoreaddons_add_plugin(fileviewgitplugin INSTALL_NAMESPACE "dolphin/vcs")

target_sources(fileviewgitplugin PRIVATE
    fileviewgitplugin.cpp
    checkoutdialog.cpp
    commitdialog.cpp
    tagdialog.cpp
    pushdialog.cpp
    pulldialog.cpp
    gitwrapper.cpp

    fileviewgitplugin.h
    checkoutdialog.h
    commitdialog.h
    tagdialog.h
    pushdialog.h
    pulldialog.h
    gitwrapper.h
)

kconfig_add_kcfg_files(fileviewgitplugin
    fileviewgitpluginsettings.kcfgc
)

target_link_libraries(fileviewgitplugin
    Qt::Core
    Qt::Widgets
    KF5::I18n
    KF5::XmlGui
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::TextWidgets
    DolphinVcs
)

install(FILES fileviewgitpluginsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== hg/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,37 @@
     config-widgets/pathconfig.cpp
     config-widgets/ignorewidget.cpp
     config-widgets/pluginsettings.cpp
+
+    fileviewhgplugin.h
+    renamedialog.h
+    commitdialog.h
+    hgwrapper.h
+    statuslist.h
+    branchdialog.h
+    tagdialog.h
+    updatedialog.h
+    clonedialog.h
+    createdialog.h
+    syncdialogbase.h
+    mergedialog.h
+    pushdialog.h
+    pulldialog.h
+    hgconfig.h
+    configdialog.h
+    commititemdelegate.h
+    commitinfowidget.h
+    pathselector.h
+    bundledialog.h
+    exportdialog.h
+    importdialog.h
+    servedialog.h
+    servewrapper.h
+    backoutdialog.h
+    dialogbase.h
+    config-widgets/generalconfig.h
+    config-widgets/pathconfig.h
+    config-widgets/ignorewidget.h
+    config-widgets/pluginsettings.h
 )
 
 
@@ -46,8 +77,8 @@
 )
 
 target_link_libraries(fileviewhgplugin
-    Qt5::Core
-    Qt5::Widgets
+    Qt::Core
+    Qt::Widgets
     KF5::KIOCore
     KF5::I18n
     KF5::CoreAddons

=== mountiso/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"mountisoaction\")

kcoreaddons_add_plugin(
    mountisoaction
    SOURCES mountisoaction.cpp mountisoaction.h
    INSTALL_NAMESPACE "kf5/kfileitemaction")

target_link_libraries(mountisoaction
    Qt::DBus
    KF5::I18n
    KF5::KIOWidgets
    KF5::Solid)

=== debian/changelog ===
dolphin-plugins (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:27 +0100

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
 Package: dolphin-plugins
 Architecture: any
 Section: devel
-Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
-Enhances: dolphin
+Depends: dolphin, ${misc:Depends}, ${shlibs:Depends},
+Enhances: dolphin,
 Description: plugins for Dolphin
  This package contains plugins for Dolphin that enhance its functionalities.
  .

## dolphin-plugins 23.08.1

=== debian/changelog ===
dolphin-plugins (4:23.08.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (23.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Oct 2023 23:43:10 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               extra-cmake-modules (>= 5.91.0~),
                gettext,
                libdolphinvcs-dev (>= 4:21.04.0~),
-               libkf5coreaddons-dev (>= 5.90.0~),
-               libkf5i18n-dev (>= 5.90.0~),
-               libkf5kio-dev (>= 5.90.0~),
-               libkf5solid-dev (>= 5.90.0~),
+               libkf5coreaddons-dev (>= 5.91.0~),
+               libkf5i18n-dev (>= 5.91.0~),
+               libkf5kio-dev (>= 5.91.0~),
+               libkf5solid-dev (>= 5.91.0~),
                libkf5texteditor-dev,
-               libkf5textwidgets-dev (>= 5.90.0~),
-               libkf5xmlgui-dev (>= 5.90.0~),
+               libkf5textwidgets-dev (>= 5.91.0~),
+               libkf5xmlgui-dev (>= 5.91.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
